Loading...
Searching...
No Matches
vector3d.h File Reference
`#include "irrMath.h"`

Go to the source code of this file.

## Classes

class | irr::core::vector3d< T >
| 3d vector template class with lots of operators and methods. More...

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::core
| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Typedefs

typedef vector3d< f32 > | irr::core::vector3df
| Typedef for a f32 3d vector.
typedef vector3d< s32 > | irr::core::vector3di
| Typedef for an integer 3d vector.

## Functions

template<class S, class T>
vector3d< T > | irr::core::operator* (const S scalar, const vector3d< T > &vector)
| Function multiplying a scalar and a vector component-wise.

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0